Bug 739640 - [ipa webui] Allowed to add service without defining service name
Summary: [ipa webui] Allowed to add service without defining service name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 17:22 UTC by Jenny Severance
Modified: 2011-12-06 18:31 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When a new Service is added via Add New Service Web UI dialog bog, the Web UI does not check if the actual Service is filled. If user confirms the dialog with Service name field empty, a new Service with name set to "undefined" is created Consequence: User may be surprised with this behavior if he does not fill the Service name field by mistake Fix: Add New Service dialog box now requires the Service name field to be filed Result: User has to fill the Service name and cannot be surprised with a Service name generated by the Web UI
Clone Of:
Environment:
Last Closed: 2011-12-06 18:31:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-09-19 17:22:33 UTC
Description of problem:
From the Web UI you can add a service without specifying a service name.  A service called "undefined" is added.

undefined/myhost.testrelm@TESTRELM

Version-Release number of selected component (if applicable):


How reproducible:
ipa-server-2.1.1-1.el6.x86_64

Steps to Reproduce:
1.  Add a new host
2.  Services --> Add -->  
3.  Do not select one of the predefined services and do not enter a custom service name.
4.  Select the new host and Add.
  
Actual results:
invalid service is added with service name "undefined"

Expected results:
Error stating service name is required.

Additional info:

Comment 2 Rob Crittenden 2011-09-19 18:54:47 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1818

Comment 5 Martin Kosek 2011-11-01 09:34:45 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When a new Service is added via Add New Service Web UI dialog bog, the Web UI does not check if the actual Service is filled. If user confirms the dialog with Service name field empty, a new Service with name set to "undefined" is created
Consequence: User may be surprised with this behavior if he does not fill the Service name field by mistake
Fix: Add New Service dialog box now requires the Service name field to be filed
Result: User has to fill the Service name and cannot be surprised with a Service name generated by the Web UI

Comment 6 Namita Soman 2011-11-05 20:13:02 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

Service name is a required field now

Comment 7 errata-xmlrpc 2011-12-06 18:31:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.